<?xml version="1.0" encoding="gb2312"?>
<xs:schema targetNamespace="urn:ietf:params:xml:ns:netmod:notification"
           elementFormDefault="qualified"
  xmlns="urn:ietf:params:xml:ns:netmod:notification"
  xmlns:netconf="urn:ietf:params:xml:ns:netconf:base:1.0"
  xmlns:xs="http://www.w3.org/2001/XMLSchema">
  
  <xs:import namespace="urn:ietf:params:xml:ns:netconf:base:1.0" schemaLocation="netconf.xsd"></xs:import>

  <xs:element name="netconf" substitutionGroup="netconf:get-filter-child">
    <xs:complexType>
      <xs:complexContent>
        <xs:extension base="netconf:get-filter-child-type">
          <xs:sequence>
            <xs:element name="streams" minOccurs="0">
              <xs:complexType>
                <xs:sequence minOccurs="0" maxOccurs="unbounded">
                  <xs:element name="stream" >
                    <xs:complexType>
                      <xs:sequence>
                        <xs:element name="name" type="xs:string"></xs:element>
                        <xs:element name="description" type="xs:string" minOccurs="0"></xs:element>
                        <xs:element name="replaySupport"  type="xs:boolean" minOccurs="0"></xs:element>
                        <xs:element name="replayLogCreationTime" type="xs:dateTime" minOccurs="0"></xs:element>
                        <xs:element name="replayLogAgedTime"  type="xs:dateTime" minOccurs="0"></xs:element>
                      </xs:sequence>
                    </xs:complexType>
                  </xs:element>
                </xs:sequence>
              </xs:complexType>
            </xs:element>
          </xs:sequence>
        </xs:extension>
      </xs:complexContent>
    </xs:complexType>
  </xs:element>
</xs:schema>
